import javax.script.*;
import java.io.*;

public class Sample {
  public interface Greeter {
    public String greet(String name);
    public void bye(String name);
  }
  
  public static void main(String[] args) throws ScriptException, FileNotFoundException, NoSuchMethodException {
    ScriptEngine nashorn = new ScriptEngineManager().getEngineByName("nashorn");
    nashorn.eval(new FileReader("sample.js"));
    
    Invocable invocable = (Invocable) nashorn;
    Greeter greeter = invocable.getInterface(Greeter.class);
    System.out.println(greeter.greet("Mike"));
    greeter.bye("Mike");
  }
}
